import { jsx } from "react/jsx-runtime";
import { TokenXMON as TokenXMON$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenXMON = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "XMON", "data-name": "TokenXMON", ...props, children: /* @__PURE__ */ jsx(TokenXMON$1, { variant }) });
  }
);
TokenXMON.displayName = "TokenXMON";
Object.assign(TokenXMON, { isGdsIcon: true });
export {
  TokenXMON
};
